Workshop/Alerts/{client}
List alerts for client
Returns inspection, oil change, and tire change alerts for a specific client.
curl -X GET "https://og-tenant1.test:8003/api/v2/workshop/alerts/string"{
"data": {
"inspections": [
{
"plate": "string",
"next_inspection": "string"
}
],
"oil": [
{
"plate": "string",
"monthly_km": 0,
"vehicle_km": 0,
"last_visit_date": "string",
"manufacturing_year": "string",
"months_diff": 0,
"customer_id": 0,
"customer_name": "string",
"brand": "string",
"model": "string",
"phone": "string",
"mobile_phone": "string",
"oil_change_every_km": 0,
"oil_change_every_months": 0,
"date_prev_oil_change": "string"
}
],
"tires": [
{
"plate": "string",
"monthly_km": 0,
"vehicle_km": 0,
"last_visit_date": "string",
"manufacturing_year": "string",
"months_diff": 0,
"customer_id": 0,
"customer_name": "string",
"brand": "string",
"model": "string",
"phone": "string",
"mobile_phone": "string",
"tire_change_every_km": 0,
"tire_change_every_months": 0,
"date_prev_tire_change": "string"
}
]
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}